# Interface methods for submodule: GaussianOperator
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import NeighborhoodOperatorProxy as _NeighborhoodOperatorProxy


# Interface methods for class: GaussianOperator
class GaussianOperatorProxy(_NeighborhoodOperatorProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetVariance(self, variance: float) -> None:
		""""""
		...

	def SetMaximumError(self, max_error: float) -> None:
		""""""
		...

	def GetVariance(self) -> float:
		""""""
		...

	def GetMaximumError(self) -> float:
		""""""
		...

	def SetMaximumKernelWidth(self, n: int) -> None:
		""""""
		...

	def GetMaximumKernelWidth(self) -> int:
		""""""
		...

	def GetDebug(self) -> bool:
		""""""
		...

	def DebugOn(self) -> None:
		""""""
		...

	def DebugOff(self) -> None:
		""""""
		...

	def SetDebug(self, debugFlag: bool) -> None:
		""""""
		...

	def ModifiedBesselI0(self, arg0: float) -> float:
		""""""
		...

	def ModifiedBesselI1(self, arg0: float) -> float:
		""""""
		...

	def ModifiedBesselI(self, arg0: int, arg1: float) -> float:
		""""""
		...

